Page MenuHomeFreeBSD

net-p2p/transmission-cli: fix build due to devel/jech-dht update to v0.25.
ClosedPublic

Authored by rigoletto on Dec 27 2018, 4:12 AM.
Tags
None
Referenced Files
Unknown Object (File)
May 9 2024, 2:24 AM
Unknown Object (File)
May 9 2024, 2:24 AM
Unknown Object (File)
May 9 2024, 2:24 AM
Unknown Object (File)
May 9 2024, 2:13 AM
Unknown Object (File)
May 7 2024, 9:24 PM
Unknown Object (File)
May 7 2024, 9:24 PM
Unknown Object (File)
May 7 2024, 9:24 PM
Unknown Object (File)
May 7 2024, 5:35 PM
Subscribers
None

Details

Summary

PR 234462

  • fix build due to devel/jech-dht update to v0.25.
  • bump PORTREVISION of the affected SLAVEPORTS

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

rigoletto retitled this revision from net-p2p/transmission-cli: fix build fue to devel/jech-dht update to v0.25. to net-p2p/transmission-cli: fix build due to devel/jech-dht update to v0.25..Dec 27 2018, 4:15 AM
This revision is now accepted and ready to land.Dec 27 2018, 5:35 AM

If it is only the build being fixed, why bump PORTREVISION?

In D18660#398068, @mat wrote:

If it is only the build being fixed, why bump PORTREVISION?

I suppose transmission may be broken after the jech-dht upgrade. There is no version bumping of transmission. The ports were building before.

In D18660#398068, @mat wrote:

If it is only the build being fixed, why bump PORTREVISION?

I would have said that the current binaries will fail against the updated library which misses that function. So a bump is required.

This revision was automatically updated to reflect the committed changes.